> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-10/v10-10/v10-10-0.md).

# Version 10.10.0 Changelog (2024-06-12)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

General

* Added new APIs: `enableStrictAnnotationFontMatching` and `disableStrictAnnotationFontMatching`. Enabling strict annotation font matching will ensure that the FreeText annotation text that appears in WebViewer will look identical after downloading the PDF.

Annotations

* Added new Annotation Manager namespace `annotationManager.Alignment` and APIs on that namespace, `alignAnnotations`, `centerAnnotations` and `distributeAnnotations`.
* Ensured auto font size free texts draw correctly while being created.
* Added `documentViewer.downloadRemainingAnnotations` to allow speeding up the download of annotations.

Forms

* Added a button to open the date picker for date picker widgets to better separate the keyboard events between the input and date picker.

### Fixes

General

* Fixed an issue causing multi-tab to crash when switching tabs while the left panel was open.
* Fixed an issue where loading a linearized document from a cross-domain source would set the `withCredentials` parameter to true.
* Fixed a memory leak issue related to DOM element references stored in wrong function scope.
* Fixed an issue where loading a new document while reconnecting to WebViewer Server could cause duplicate WebSocket connections.

Annotations

* Fixed an issue where area caption text color did not change when changing the annotation's stroke color.
* Fixed an annotation appearance issue during the download in WebViewer Server.
* Fixed an issue with FreeText annotations being drawn larger in font size units other than `pt`.
* Fixed incorrect blend mode behavior.

Content Edit

* Fixed an issue where the alignment could not be set on content boxes with multiple paragraphs.
* Fixed an issue where the constants in `ContentEdit.Types` could not be imported.
* Fixed an issue where content edit mode could not get shadow root in Web Component.
* Fixed an issue where adding text in Content Edit mode did not remove the selected text.
* Fixed an issue where caret placement in Content Edit mode was inaccurate with certain fonts.
* Fixed an issue where text selection in Content Edit mode showed vertical gaps between characters.

Forms

* Fixed an Issue with Widget `CSS` causing `Text Widgets` to occasionally reflow incorrectly.
* Fixed an issue where `DatePickerWidget` tooltips were displaying `undefined`.

Office Editor

* Fixed an issue with selection style properties showing the incorrect value.

## WebViewer UI

### New

General

* Added support for Reader Mode in WebComponent.

Annotations

* Added new Context menu option `Align` when selecting 2 or more Annotations, allowing Alignment of selected annotations.

Customize UI

* Added new API to get and change panels in a `TabPanel`.
* Allowed printing for watermarks with a font size greater than 512 and less than or equal to 1600.
* Added support for flyouts and buttons using a function map for onClick events in the modular UI import and export APIs.
* Added APIs for importing and exporting modular components, enabling the creation of new UIs using JSON data.

Digital Signatures

* When the Initials feature is enabled, the full signature must be filled into the modal or the create signature button will be disabled.

Office Editor

* Added support for style presets.

### Fixes

Annotations

* Fixed an issue with overlapping highlighted content.
* Fixed an issue where the line style options for shape annotations did not have enough contrast to the background in dark mode.

Customize UI

* Fixed an issue where newly created outlines were automatically selected, preventing the creation of sibling outlines without first deselecting the newly created one.
* Fixed an issue where the mention manager triggered the delete event incorrectly.
* Fixed WebViewer crashing when clicking or hovering on links in semantic comparing mode.
* Fixed an issue with the Marquee zoom offset in WebComponent.
* Fixed an issue where mentions were not working in WebComponent.
* Fixed an issue with generic panels being slightly offscreen with multi-tab enabled.
* Fixed an issue with the style for Toggle and Custom buttons on the modular UI.
* Fixed an issue with the JSDoc on the UI so the APIs are recognized correctly in TypeScript projects.

Redaction

* Fixed an issue where the redaction style did not match the redaction tool's default styles.

Office Editor

* Fixed a table selection issue in Office Editor.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-10/v10-10/v10-10-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
